# Update multiple suppression requests state

Updates the state of multiple project suppression requests

Endpoint: PUT /api/v3.0/orgs/{orgUuid}/projects/{projectUuid}/approvalRequests
Version: 3.0
Security: bearer-key

## Path parameters:

  - `projectUuid` (string, required)
    UUID of the project

## Request fields (application/json):

  - `action` (string, required)
    Action to execute on the suppression request
    Enum: "APPROVE", "REJECT", "REQUEST_INFO", "MARK_PENDING"

  - `comment` (string)
    Reviewer note
    Example: More details are required

  - `elementUuids` (array, required)
    List of identifiers of the suppression requests to update
    Example: 123e4567-e89b-12d3-a456-426655440000

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: 1171c60d

  - `response` (object)

  - `response.message` (string)
    Example: Success!

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

